Page MenuHomePhabricator

Create a progress graph of Annual Plan objectives to use all year
Closed, DeclinedPublic

Description

On the https://www.mediawiki.org/wiki/Wikimedia_Technology/Programs page, for each program, create a table. The columns would be Annual Plan Outcome, Annual Plan Objective, Status, ETA, and Comments. Status would be Complete, In Progress, To Do, or perhaps others like Canceled.

This will allow a quick glance at whether each program is progressing at a reasonable pace toward completing all its objectives by the end of the year.

Related Objects

StatusSubtypeAssignedTask
DeclinedJAufrecht

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 29 2017, 6:01 PM
ksmith removed ksmith as the assignee of this task.Oct 26 2017, 8:40 PM
ksmith edited projects, added WMF-CTO-Team-Backlog; removed User-KSmith.
debt added a subscriber: debt.Nov 29 2017, 7:33 PM
JAufrecht closed this task as Resolved.Mar 19 2018, 5:08 PM
JAufrecht claimed this task.
JAufrecht added a subscriber: JAufrecht.

This was completed by the deadline.

JAufrecht reopened this task as Open.Mar 19 2018, 5:09 PM

incorrectly closed. Programs do have objectives but not a table like this. let's consider this.

JAufrecht renamed this task from For each Tech program, create a table of annual plan objectives to Create a progress graph of Annual Plan objectives to use all year.Mar 19 2018, 5:10 PM
JAufrecht added a parent task: Unknown Object (Task).Jul 27 2018, 6:17 PM
JAufrecht triaged this task as Medium priority.Jul 27 2018, 6:20 PM

@JAufrecht: Hi. This task is about "FY2018–19 Tech Annual Planning". Should this task be closed and the workboard column be hidden? Asking as this task is assigned to you.

JAufrecht closed this task as Declined.Dec 26 2019, 3:26 AM

FY19 is passed and FY20 work tracking follows a different model.